CREATE procedure [C6StagingPeriodicoImmobiliare].[RP_ST_DettPatrAziendale] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_DettPatrAziendale',  
  GETDATE(),  
  'Staging Immobiliare'  
 )  
 truncate table C6StagingPeriodicoImmobiliare.RP_DettPatrAziendale  
 insert into C6StagingPeriodicoImmobiliare.RP_DettPatrAziendale  
/* 20/05/2015FCianfa e LM: sostituzione della select * con la select puntuale e valorizzazione a NULL di campi non più utilizzati per l'evolutiva patrimonio immobiliare.  
select *  from [CONSEVO_PERIODICO].[consulenzaEvoluta].dbo.DettPatrAziendale */  
 select [chiaveProdottoTerzi],  
 NULL,  
 [denominazione],  
 [codTipoCompagnia],  
 [patrimonio],  
 NULL,  
 NULL,  
 NULL,  
 [idTipoAzienda],  
 NULL,  
 NULL,  
 [numQuote],  
 [valoreStimato],  
 NULL,  
 NULL,  
 NULL,  
 NULL,  
 NULL,  
 NULL  
 from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettPatrAziendale  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_DettPatrAziendale' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
   WHERE  
    Nome = 'RP_ST_DettPatrAziendale'  
  )  
end